petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESANDERSON

Anderson Mixing method. Many br

### Options Database

| -snes_anderson_m | - Number of stored previous solutions and residuals Many br
| -snes_anderson_beta | - Relaxation parameter; X_{update} = X + \beta F Many br
| -snes_anderson_restart_type | - Type of restart (see SNESNGMRES) Many br
| -snes_anderson_restart_it | - Number of iterations of restart conditions before restart Many br
| -snes_anderson_restart | - Number of iterations before periodic restart Many br
| -snes_anderson_monitor | - Prints relevant information about the ngmres iteration Many br

### Notes

The Anderson Mixing method combines m previous solutions into a minimum-residual solution by solving a small linearized Many broptimization problem at each iteration. Many br

Very similar to the SNESNGMRES algorithm. Many br

### References

| 1. | - D. G. Anderson. Iterative procedures for nonlinear integral equations. Many brJ. Assoc. Comput. Mach., 12, 1965." Many br
| 2. | - Peter R. Brune, Matthew G. Knepley, Barry F. Smith, and Xuemin Tu,"Composing Scalable Nonlinear Algebraic Solvers", Many brSIAM Review, 57(4), 2015 Many br

### See Also

SNESNGMRES, SNESCreate(), SNES, SNESSetType(), SNESType (for list of available types)

Level:beginner
Location:src/snes/impls/ngmres/anderson.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages